umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Functions
object_factory.h File Reference
`#include "umlobject.h"`
`#include <QString>`

Go to the source code of this file.

## Namespaces
namespace | Object_Factory

## Functions
UMLObject * | Object_Factory::createUMLObject (UMLObject::ObjectType type, const QString &n, UMLPackage *parentPkg, bool solicitNewName)
UMLObject * | Object_Factory::createNewUMLObject (UMLObject::ObjectType type, const QString &name, UMLPackage *parentPkg, bool undoable)
UMLClassifierListItem * | Object_Factory::createChildObject (UMLClassifier *parent, UMLObject::ObjectType type, const QString &name)
UMLAttribute * | Object_Factory::createAttribute (UMLObject *parent, const QString &name, UMLObject *type)
UMLOperation * | Object_Factory::createOperation (UMLClassifier *parent, const QString &name)
void | Object_Factory::assignUniqueIdOnCreation (bool yesno)
bool | Object_Factory::assignUniqueIdOnCreation ()
UMLObject * | Object_Factory::makeObjectFromXMI (const QString &xmiTag, const QString &stereoID)